<?php

namespace App\Policies;

use App\Models\SpaceType;
use App\Models\User;

class SpaceTypePolicy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('spaces.view');
    }

    public function view(User $user, SpaceType $spaceType): bool
    {
        return $user->hasPermission('spaces.view');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('spaces.create');
    }

    public function update(User $user, SpaceType $spaceType): bool
    {
        return $user->hasPermission('spaces.update');
    }

    public function delete(User $user, SpaceType $spaceType): bool
    {
        return $user->hasPermission('spaces.update');
    }
}
